<?php
namespace Claromentis\Core\TrashCan\TrashcanObject;

$GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"] ?: array()) + array("_9410d179" . "85408ab6a" . "2962e6fdb" . "621c5e" => base64_decode("ZG9jdW1lbnRzLm5hbWVwYXR0" . "ZXJudGFnLnZlcg=="), "_86e12158655092a9838a837f6cf6d6" . "39" => base64_decode("Li4vY29tbW9uL2VybXNfcGtnLnBo" . "cA=="), "_5fde92609a43c9" . "160462278aec060" . "406" => base64_decode("Y29tbW9uLnVu" . "a25vd24="), "_eb56828483919e173c6a" . "b772a8fa7d6d" => base64_decode("Y29tbW9u" . "LnR5cGUu" . "ZG9jdW1l" . "bnQ="), "_7ee2531" . "7ffedb4f" . "e27bf0b5" . "036469b9" . "4" => base64_decode("Y29tbW9uLnR5c" . "GUuZm9sZGVy"), "_0c5123aa744f69bbc0e8b3ea2" . "f6e847d" => base64_decode("bG1zZ" . "w=="));






abstract class TrashObjectERMS extends TrashObject
{
    
    
    
    
    
    
    public function DeleteCompletely()
    {
        require_once $GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"]["_86e12158655092a" . "9838a837f6cf6d63" . "9"];
        global $g_erms_browser;
        if ($g_erms_browser->DeleteERMSObjectById($this->obj_id, $this->aggregation, false, true, false)) {
            return parent::DeleteCompletely();
        } else {
            return $this->SetErrMsg($g_erms_browser->GetErrMsg());
        }
    }
    
    
    
    
    
    
    
    
    
    public function Restore()
    {
        require_once $GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"]["_86e12158655092a9838a8" . "37f6cf6d639"];
        global $g_erms_browser;
        if (!$g_erms_browser->UndeleteERMSObjectByID($this->obj_id, $this->aggregation)) {
            throw new \Exception($g_erms_browser->GetErrMsg());
        }
        return parent::Restore();
    }
    public function GetObjectTypeName()
    {
        switch ($this->aggregation) {
            case AGGREGATION_FOLDER:
                return $GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["_0c5123aa744f69bbc0e8b3ea2f" . "6e847d"]($GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"]["_7ee25317ffe" . "db4fe27bf0b5" . "036469b94"]);
            case AGGREGATION_DATA:
                return $GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"]["_0c5123aa744f69bbc0e8b3ea2f6e8" . "47d"]($GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"]["_eb56828483919e173" . "c6ab772a8fa7d6d"]);
            case AGGREGATION_DOC_VERSION:
                return $GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"]["_0c5123aa744f69bbc0e8b3" . "ea2f6e847d"]($GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"]["_9410d1798" . "5408ab6a29" . "62e6fdb621" . "c5e"]);
        }
        return $GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"]["_0c5123aa744f69bbc0e8b3ea2f6" . "e847d"]($GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"]["_5fde92609a43c9" . "160462278aec060" . "406"]);
    }
}